
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>鸡肋的PHP单例模式应用详解_php实例 / iVAN</title>

    <meta name="description" content="鸡肋的PHP单例模式应用详解_php实例 单例模式的要点有三个:一是某个类只能有一个实例:二是它必须自行创建这个实例:三是它必须自行向整个系统提供这个实例. 复制代码 代码如下: &lt;?php /* 单例模式举例,其要点如下: * * 1. $_instance 必须声明为静态的私有变量 * 2. 构造函数和克隆函数必须声明为私有的,这是为了防止外部程序 new 类从而失去单例模式的意义 * 3. getInstance()方法必须声明为公有的,必须调用此方法以返回唯一实例的一个引用 * 4. ::操作符只能访问静态变量或静态函数  ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">鸡肋的PHP单例模式应用详解_php实例</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>单例模式的要点有三个：<br /></strong>一是某个类只能有一个实例；<br />二是它必须自行创建这个实例；<br />三是它必须自行向整个系统提供这个实例。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;?php <br />/* 单例模式举例,其要点如下: <br />* <br />*<strong> 1. $_instance 必须声明为静态的私有变量 <br />* 2. 构造函数和克隆函数必须声明为私有的,这是为了防止外部程序 new 类从而失去单例模式的意义 <br />* 3. getInstance()方法必须声明为公有的,必须调用此方法以返回唯一实例的一个引用 <br />* 4. ::操作符只能访问静态变量或静态函数 <br />* 5. PHP的单例模式是相对而言的,因为PHP的解释运行机制使得每个PHP页面被解释执行后，所有的相关资源都会被回收。 <br /></strong>* 也就是说，PHP在语言级别上没有办法让某个对象常驻内存。在PHP中，所有的变量都是页面级的，无论是全局变量， <br />* 还是类的静态成员，都会在页面执行完毕后被清空,结果会重新建立新的对象，这样也就完全失去了Singleton的意义。 <br />* 不过,在实际应用中同一个页面中可能会存在多个业务逻辑,这时单例模式就起到了很重要的作用,有效的避免了重复 <br />* new 对象(注: new 对象会消耗内存资源)这么一个行为,所以我们说PHP的单例模式是相对而言的 <br />* <br />*/ <br />class People <br />{ <br />static private $_instance = NULL; <br />public $height = ''; <br />public $age = ''; <br />private function __construct() <br />{ <br />$this-&gt;height = '185'; <br />$this-&gt;age = 25; <br />} <br />private function __clone() <br />{ <br />//do something <br />} <br />static public function getInstance() <br />{ <br />if(!self::$_instance instanceof self) <br />{ <br />//echo 'lgh-big'; <br />self::$_instance = new self; <br />} <br />else <br />{ <br />//for testing only <br />//echo 'gdc-xiaoairener'; <br />} <br />return self::$_instance; <br />} <br />public function getHeight() <br />{ <br />echo $this-&gt;height; <br />} <br />public function getAge() <br />{ <br />echo $this-&gt;age; <br />} <br />} <br />function testInstance() <br />{ <br />People::getInstance()-&gt;getAge(); <br />} <br />//begin to use the class <br />$lgh = People::getInstance(); <br />$lgh-&gt;getHeight(); <br />echo '&lt;br /&gt;'; <br />testInstance(); <br />?&gt;</p>
<p><strong>优点：</strong>单例模式可以避免大量的new操作，因为每一次new操作都会消耗内存资源和系统资源<br /><strong>缺点：</strong>在PHP中，所有的变量无论是全局变量还是类的静态成员，都是 页面级的，每次页面被执行时，都会重新建立新的对象，都会在页面执行完毕后被清空，这样似乎PHP单例模式就没有什么意义了，所以PHP单例模式我觉得只 是针对单次页面级请求时出现多个应用场景并需要共享同一对象资源时是非常有意义的。</p>
<p><strong>Why–为什么要使用PHP单例模式？<br /></strong>PHP的一个主要应用场合就是应用程序与数据库打交道的应用场景，所以一个应用中会存在大量的数据库操作，比如过数据库句柄来连接数据库这一行为，使用单例模式可以避免大量的new操作，因为每一次new操作都会消耗内存资源和系统资源。<br />还是有些抽象，给出代码片段。<br />使用传统方式编码</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;?php<br />......<br />//初始化一个数据库句柄<br />$db = new DB(...);<br />//比如有个应用场景是添加一条用户信息：<br />$db-&gt;addUserInfo();<br />......<br />//然而我们在另外一个地方可能要查找用户的信息，这个情景出现在一个函数中，这时要用到数据库句柄资源，我们可能需要这么去做<br />......<br />function test(){<br /> ......<br />//这时我们不得不重新初始化一个数据库句柄,试想多个应用场景下，这样的代码是多么可怕啊？！<br /> $db = new DB(...);<br /> $db-&gt;getUserInfo();<br /> ......<br />//有些朋友或许会说，我也可以不这样做啊，我直接利用global关键字不就可以了吗？的确，global可以解决问题，也起到了单例模式的作用，但是OOP中，我们拒绝这样来编写代码，因为global存在安全隐患，请参考相关书籍，同时单例模式恰恰是对全局变量的一种改进，避免了那些存储唯一实例的全局变量污染命名空间<br /> global $db;  //OOP中，我们不提倡这样编写代码<br />......<br />}</p>
<p>使用单例模式编码</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;?php<br />......<br />//所有的应用情景只有一个数据库句柄资源，嘿嘿，效率老高了，<br />//资源也大大的得到节省，代码简洁明了：）<br />DB::getInstance()-&gt;addUserInfo();<br />DB::getInstance()-&gt;getUserInfo();<br />......</p>
<p><strong>How–如何来编写PHP单例模式？<br /></strong>在了解了单例模式的应用场景之后，下面我们通过编写单例模式的具体实现代码来掌握PHP单例模式的核心要点，代码如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;?php<br />/**<br /> *  PHP单例模式演示举例<br />*  @author   guohua.li<br /> *  @modify  2010-07-11<br />*  @website  http://blog.163.com/lgh_2002/<br />*/<br />class User{<br />/**<br /> *  静态成品变量 保存全局实例<br /> *  @access private<br />*/<br />static private $_instance = NULL;<br />/**<br /> *  私有化构造函数，防止外界实例化对象<br />*/<br />private function  __construct() {}<br />/**<br /> *  私有化克隆函数，防止外界克隆对象<br />*/<br />private function  __clone(){}<br />/**<br /> *  静态方法, 单例统一访问入口<br /> *  @return  object  返回对象的唯一实例<br />*/<br />static public function getInstance() {<br />if (is_null(self::$_instance) || !isset(self::$_instance)) {<br />self::$_instance = new self();<br />}<br />return self::$_instance;<br />} <br />   /**<br /> * 测试方法: 获取用户名字<br />*/<br />public function getName() {<br />echo 'hello liguohua!';<br />}<br />}</p>
<p><strong>从以上代码中，我们总结出PHP单例模式实现的核心要点有如下三条：<br /></strong>1.需要一个保存类的唯一实例的静态成员变量（通常为$_instance私有变量）<br />2.构造函数和克隆函数必须声明为私有的，这是为了防止外部程序new类从而失去单例模式的意义<br />3.必须提供一个访问这个实例的公共的静态方法（通常为getInstance方法），从而返回唯一实例的一个引用<br /><strong>PHP单例模式的缺点<br /></strong>众所周知，PHP语言是一种解释型的脚本语言，这种运行机制使得每个PHP页面被解释执行后，所有的相关资源都会被回收。也就是说，PHP在语言级别上没有办法让某个对象常驻内存，这和asp.net、Java等编译型是不同的，比如在Java中单例会一直存在于整个应用程序的生命周期里，变量是跨页面级的，真正可以做到这个实例在应用程序生命周期中的唯一性。然而在PHP中，所有的变量无论是全局变量还是类的静态成员，都是页面级的，每次页面被执行时，都会重新建立新的对象，都会在页面执行完毕后被清空，这样似乎PHP单例模式就没有什么意义了，所以PHP单例模式我觉得只是针对单次页面级请求时出现多个应用场景并需要共享同一对象资源时是非常有意义的。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-18 13:30:02</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/php/" title="php">php</a>, <a href="https://www.iamivan.net/tag/%e5%8d%95%e4%be%8b%e6%a8%a1%e5%bc%8f/" title="单例模式">单例模式</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>鸡肋的PHP单例模式应用详解_php实例的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOmxEkM.html" rel="bookmark">thinkPHP中钩子的两种配置调用方法详解&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了thinkPHP中钩子的两种配置调用方法.分享给大家供大家参考,具体如下: thinkphp的钩子行为类是一个比较难以理解的问题,网上有很多写thinkphp钩子类的文章,我也是根据网上的文章来设置thinkphp的钩子行为的,但根据这些网上的文章,我在设置的过程中,尝试了十几次都没有成功,不过,我还是没有放弃,最后还是在一边调节细节,一边试验的过程中实现了钩子行为的设置.下面是我个人的设置经验,在这里跟大家分享一下. 个人做了两种设置,都试验成功了,一个简单点,在thinkphp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mgyd38z.html" rel="bookmark">Zend Framework入门应用实例详解&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Zend Framework入门应用.分享给大家供大家参考,具体如下: .htaccess文件 .htaccess文件用来实现URL重置,即当用户访问某资源时,会将其重新定位到指定的文件下. 代码示例: RewriteEngine on RewriteRule !\.(js|ico|gif|jpg|png|css)$ index.php 其中,行1表示重置引擎打开,行2表示当访问除js.ico.gif.jpg.png.css以外的文件时, 都将被重置到index.php文件下. 注			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEYYwnb.html" rel="bookmark">CodeIgniter钩子用法实例详解&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了CodeIgniter钩子用法.分享给大家供大家参考,具体如下: CodeIgniter执行流程图中有7个椭圆的框,这表示在执行的过程中埋了7个钩子.那先来看看什么是钩子? 网上找到的两段文字: 钩子的完整实现应该叫事件驱动.事件驱动分为两个阶段,第一个阶段是注册事件,目的是给未来可能发生的&quot;事件&quot;起一个名字,简单的实现方法是用单例模式产生一个持久的对象或者注册一个全局变量,然后将事件名称,以及该事件对应的类与方法插入全局变量即可.也就是挂载一个钩子. 第二个阶段是触发事			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Q81Wp.html" rel="bookmark">Laravel中注册Facades的步骤详解&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲述了Laravel中注册Facades的步骤.分享给大家供大家参考,具体如下: 在Laravel中将类注册为Fcade可以使用Ioc容器,每次使用这个类的时候只会初始化一次类,类似单例模式,而且可以像使用静态方法调用类的方法,下面是在Laravel中注册Facades的步骤. 1.在项目app目录的Providers/AppServiceProvider.php中的register方法新增方法,代码如下. /** * Register any application services. *			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Y926p.html" rel="bookmark">Symfony控制层深入详解&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文深入分析了Symfony控制层.分享给大家供大家参考,具体如下: Symfony中控制层包含了连接业务逻辑与表现的代码,控制层为不同的使用分成了几个不同的部分. 1. 前端控制器是指向应用的唯一入口 2. 动作包含了应用的逻辑,他们检查请求的完整性并准备好表示层需要的数据 3. 请求.响应和Session对象提供访问请求参数.响应参数以及持久的用户数据,这些数据在控制层使用的很普遍 4. 过滤器是每个请求都要执行的代码的一部分,无论在动作前还是在动作后.可以自创过滤器. 前端控制器 所有WE			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYRPDQp.html" rel="bookmark">php采集神器cURL使用方法详解&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于做过数据采集的人来说,cURL一定不会陌生.虽然在PHP中有file_get_contents函数可以获取远程链接的数据,但是它的可控制性太差了,对于各种复杂情况的采集情景,file_get_contents显得有点无能为力.因此,本文将为你介绍采集神器cURL的使用. 先给大家补充一下file_get_contents函数可以获取远程链接数据的方法. &lt;?php $url = &quot;http://git.oschina.net/yunluo/API/raw/master/notice.t			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5o1qab.html" rel="bookmark">Symfony2安装第三方Bundles实例详解&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Symfony2安装第三方Bundles的方法.分享给大家供大家参考,具体如下: 大多数的Bundles都提了安装的介绍,下面来介绍基本的安装步骤: 一.添加composer依赖关系 在symfony里,用composer来管理依赖关系 1.找到Bundle的包的名称 在包的README里一般都告诉了我们它的名称,如果没有,可以在https://packagist.org网站里搜索到 2.通过composer来安装Bundle 知道了bundle的包名之后,我们可以通过compos			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg32L8M.html" rel="bookmark">Symfony2使用第三方库Upload制作图片上传实例详解&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例分析了Symfony2使用第三方库Upload制作图片上传的方法.分享给大家供大家参考,具体如下: 我们在应用程序或者网站的个人资料里一般都有设置头像的功能,这一章我们在Symfony2里用第三方的一个比较有名Upload库来制作上传图片的功能. 一.安装第三方库 1.在composer.json文件中的&quot;require&quot;中加入 &quot;codeguy/upload&quot;: &quot;*&quot; 2.运行指令安装 composer update 二.编码 1.编			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MywN7lz.html" rel="bookmark">php中file&lowbar;exists函数使用详解&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				说明:bool file_exists ( string $filename ) 如果由 filename 指定的文件或目录存在则返回 TRUE,否则返回 FALSE. 在Windows上,使用/ /计算机名/共享/文件名或 计算机名共享文件名,以检查网络共享文件. 在 Windows 中要用 //computername/share/filename 或者 \\computername\share\filename 来检查网络中的共享文件. 实例一 &lt;?php $filename = '/jb			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvqV5b.html" rel="bookmark" class="title">Xhtml第4天&colon;调用样式表</a>
					<div>
						xhtml|样式表 用web标准设计网站,过渡的方法主要是采用xhtml+css,css样式表是必不可少的.这就要求所有网页设计师必须熟练掌握css,如果你以前不常用,那么现在就开始学习吧.要制作符合 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKjNaz.html" rel="bookmark" class="title">Java的double类型探索&period;</a>
					<div>
						一.double类型的存储表示 Java的浮点类型表示完全按照IEEE754标准(Standards of IEEE 754 floating point numbers),有兴趣可以上IEEE标准网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM93nXz.html" rel="bookmark" class="title">一个用php写的中文分词类</a>
					<div>
						中文 一个用php写的中文分词类 &lt;?php class Segmentation {     var $options = array('lowercase' =&gt; TRUE,      ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7k2yZz.html" rel="bookmark" class="title">SYBASE数据库用户管理基本概念&lpar;howto&rpar;</a>
					<div>
						在SYBASE数据库中,用户管理是系统管理的一个重要组成部分,但其重要性却往往被人忽视.许多时候,操作数据库的命令不成功常与用户管理有关,而许多误操作命令的发生也可以通过用户管理来避免.因此,弄清用户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvK7lAp.html" rel="bookmark" class="title">智能服务契约带来的巨大伸缩性</a>
					<div>
						那是2005年6月的一个晴天,看着为之奋斗两年的新订单系统在生产环境上线,我们精神无比振奋.我们的合作伙伴开始发送订单,监视系统也告诉我们一切工作正常.一个小时之后,我们的COO给战略合作伙伴发了一封 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPYdrz.html" rel="bookmark" class="title">NHibernate之旅&lpar;7&rpar;：初步探索NHibernate中的并发控制</a>
					<div>
						本节内容 什么是并发控制? 悲观并发控制(Pessimistic Concurrency) 乐观并发控制(Optimistic Concurrency) NHibernate支持乐观并发控制 实例分析 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RmNap.html" rel="bookmark" class="title">容易混淆位置的常用XHTML标签正确用法</a>
					<div>
						刚接触XHTML+CSS设计网页时,很多朋友对于标签的使用没什么经验,也很随意,经常是想起什么就用什么,认为只要能实现效果就可以.但随着学习的深入和对搜索引擎优化知识的了解,发现其实XHTML标签的使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91GeVM.html" rel="bookmark" class="title">Photoshop把美女转成古典淡雅的手绘效果</a>
					<div>
						转手绘之前需要选好人物素材,最好是选择一些像素较高,人物五官较为清晰的图片.然后再根据选好的素材图片构思及定义风格(如果古典及现代等).如本文的教程,作者选择的是古典风格仿手绘效果,就需要根据风格去发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7202dp.html" rel="bookmark" class="title">笔记本电脑如何设置网络连接优先级</a>
					<div>
						  笔记本电脑如何设置网络连接优先级的方法分享给大家,笔记本的便携性深受广大用户的喜爱,很多人家中使用的都是笔记本电脑,那么对于本本在有线网络和无线网络同时连接时,系统就会优先选择使用无线网络,但是毕 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKwgAM.html" rel="bookmark" class="title">显示-android对话框是透明的</a>
					<div>
						问题描述 android对话框是透明的 弹出的对话框是透明的,但是能点击:在点&quot;home&quot;键回到主界面,再打开刚刚的程序时,对话框就能正常显示出来的,这是为什么?求解决方案. 解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOl9n9b.html" rel="bookmark" class="title">Powerline：给 Vim 和 Bash 提供更棒的状态行和提示信息</a>
					<div>
						Powerline 是一个极棒的 Vim 编辑器的状态行插件,这个插件是使用 Python 开发的,主要用于显示状态行和提示信息,适用于很多软件,比如 bash.zsh.tmux 等等. 特色 使用  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwP47p.html" rel="bookmark" class="title">比iPhone 还小的身躯，笑傲13级台风，锐捷4G路由&OpenCurlyDoubleQuote;点亮&rdquo;厦门金砖之夜</a>
					<div>
						近日,举世瞩目的金砖国家领导人第九次会晤在厦门举行.在央视大型直播画面中,不仅主场馆厦门国际会议中心和厦门国际会展中心恢弘大气,整座城市更是被灯光烘托得如梦如幻,与世界共同分享这&quot;金砖之夜& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NVdXM.html" rel="bookmark" class="title">美国力登&colon;驯服脱缰的能源&OpenCurlyDoubleQuote;野马&rdquo;</a>
					<div>
						在数据中心的实践中,用户对于PDU.iPDU的认知,还主要停留在远程重启的功能上.在http://www.aliyun.com/zixun/aggregation/32593.html&quot;&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AjRNz.html" rel="bookmark" class="title">八百元网站和八万元网站的区别</a>
					<div>
						在现 有的市场环境下,这两种类型的网站都能够满足部分客户的需求.八百元和八万元之间的差价这么大,二者之间必然有差别. &amp;http://www.aliyun.com/zixun/aggregat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeR410b.html" rel="bookmark" class="title">htmlelement能够自动填充表单和点击</a>
					<div>
						问题描述 &lt;formaction=&quot;http://www.**********.com/wwwpps/experience&quot;method=&quot;get&quot;nam ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRrvZp.html" rel="bookmark" class="title">CUDA开发实战：C&num;代码中使用DLL</a>
					<div>
						使用.NET平台调用函数是一件容易的事情,但有一件事需要注意 访问的可变性,因为我们不能在它们上面使用DllImport属性,我们必须找到变量的地址,然后排列数据. using System.Runt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94XYgb.html" rel="bookmark" class="title">在回调函数中打开新窗口，使用window&period;open&lpar;&rpar;为什么不执行啊      急急急</a>
					<div>
						问题描述 在回调函数中打开新窗口,使用window.open()为什么不执行啊 急急急 在回调函数中打开新窗口,使用window.open()为什么不执行啊 急急急 解决方案 不是不执行,异步的话大部 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL74kvM.html" rel="bookmark" class="title">Windows server 2008 IIS7&period;5设置https成功了，经验分享及常见问题解决方法！</a>
					<div>
						前言: 很久前就有网站(http://www.w-nn.cn)转换HTTPS(https://www.w-nn.cn)的想法了,因为网站在运营中,没有确切得把握,真的不敢乱动!所以,一直搁浅到今天!  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkejVrb.html" rel="bookmark" class="title">ROS机器人程序设计（原书第2版）2&period;4&period;9　创建节点</a>
					<div>
						2.4.9 创建节点 在本节中,我们要学习如何创建两个节点:一个发布数据,另一个接收这些数据.这是两个节点之间最基本的通信方式,也就是操作数据并使用这些数据来做些工作. 使用以下命令返回chapter ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3r017z.html" rel="bookmark" class="title">阿里云天池数据竞赛：测余额宝资金流动</a>
					<div>
						本文讲的是阿里云天池数据竞赛:测余额宝资金流动[IT168资讯]3月23日,阿里云计算宣布启动新一赛季的天池大数据竞赛.大赛将吸引全球新生代数据科学家,为预测手机党购物喜好.余额宝资金流动.时尚穿衣搭 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYa35p.html" rel="bookmark" class="title">党、政、军以及重要关键岗位的人员不得使用苹果手机</a>
					<div>
						据新华社电苹果公司继被曝收集用户详细行踪后,又再次被曝故意留&quot;后门&quot;提取iPhone用户的短信.通讯录和照片等个人数据. 对此,互联网实验室创始人方兴东建议,可要求党.政.军以及重 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYDwap.html" rel="bookmark" class="title">多家IT企业柏林消费电子展推出新品</a>
					<div>
						新华社柏林9月1日电(记者郭洋 郑启航)作为世界顶级消费电子展之一的德国柏林国际消费电子展定于9月2日至7日举行.在展会正式开幕前的&quot;媒体日&quot;,多家参展商召开新闻发布会,推介新品. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeR8WAb.html" rel="bookmark" class="title">Hadoop-2&period;7&period;0中HDFS NameNode HA实现综述</a>
					<div>
						一.原理       HDFS中NameNode等的HA是基于ZooKeeper实现的.它应用了ZooKeeper集群的如下功能或特性:       1.只要半数以上节点还存活,就继续能对外提供服务: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXwQQb.html" rel="bookmark" class="title">免费WiFi要上市，旧瓶子装的还是老酒</a>
					<div>
						最近,国内免费WiFi网络提供商上海某公司有意登陆新三板,有望成为新三板WiFi第一股. 公开资料显示,该公司玩两个感念:1.覆盖20多城市公交WiFi,2.工厂.学校为主的高频场所WiFi. 有意思 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0A60M.html" rel="bookmark" class="title">《C程序员从校园到职场》一2&period;2　破除错误观念</a>
					<div>
						2.2 破除错误观念 要让我们做事情的能力能够有所提升,观念的转变是关键. 从学生转变为职业人的过程是很艰难的,因为我们要与自己积累了多年的&quot;老毛病&quot;作斗争,这些&quot;老毛病 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeo5BAM.html" rel="bookmark" class="title">联合查询-mysql 结构不同多表查询，请教语句</a>
					<div>
						问题描述 mysql 结构不同多表查询,请教语句 我原来有几个结构相同的3个表 tab1.tab2.tab3 这3个表都有字段 col1.col2.col3 原来使用语句 (select * from ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60xvXz.html" rel="bookmark" class="title">植物大战僵尸2安卓版更新 难度降低轻松赢奖</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp; &lt;植物大战僵尸2&gt;又更新了,目前Google  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNv1W4M.html" rel="bookmark" class="title">83&percnt; Android用户使用2&period;x系统</a>
					<div>
						最新数据显示,由于Android 2.3平台发布在即,越来越多的Android用户开始升级自己的系统.上个月, 在Android用户中,使用Android 2.1和Android 2.2系统的比例不到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKoKOz.html" rel="bookmark" class="title">searchDisplayController 引起的数组越界处理办法&lowbar;IOS</a>
					<div>
						下面把searchDisplayController 引起的数组越界处理办法给大家分享如下: 当[searchDisplayController.searchResultsTableView setS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Y27mp.html" rel="bookmark" class="title">Mule 官方例子研究</a>
					<div>
						一.编译导入Mule自带的例子 1.准备 安装Mule.这里就不介绍mule的安装了,请参考&lt;Mule安装部署手册&gt;. 2. 编译Mule自带例子中的Hello例子 使用命令行到目录:D: ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
